#include "mbed.h"

DigitalOut myled1(LED1);
DigitalOut myled2(LED2);
DigitalOut myled3(LED3);
DigitalOut myled4(LED4);
Serial bt(p9, p10); // tx, rx
AnalogIn light(p20);

int main() {
    float val;
    while(1) {
        val = light.read();
        bt.printf("Hello World - %f !\r\n", val);
        
        if (val > 0.05) {
            myled1 = 1;
        } else {
            myled1 = 0;
        }
        if (val > 0.1) {
            myled2 = 1;
        } else {
            myled2 = 0;
        }
        if (val > 0.15) {
            myled3 = 1;
        } else {
            myled3 = 0;
        }
        if (val > 0.2) {
            myled4 = 1;
        } else {
            myled4 = 0;
        }
        wait(0.01);
    }
}

